/* Article image should be 960x400 */

.article-title
{
    font-size: 32px;
    font-weight: bold;
    margin-bottom: 16px;
    text-align: center;
}

.article-content
{
    font-size: 18px;
    line-height: 1.6;
    margin-bottom: 16px;
    text-align: justify;
    margin: 0 240px;
    font-weight: normal;
    justify-content: center;
}

.article-image
{
    max-height: 400px;
    width: 100%;
    object-fit: cover;
    display: block;
    margin-bottom: 20px;
    border-radius: 8px;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.article-link
{
    color: #DE3E26;
    text-decoration: none;
    transition: transform 0.3s ease-in-out, color 0.3s ease-in-out;
    display: inline-block;
}

.article-meta
{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.article-author
{
    font-size: 14px;
    color: #555;
    margin-bottom: 10px;
    text-align: left;
    margin: 10px 240px;
}

.article-author-name
{
    font-weight: bold;
}

.article-author-role
{
    font-style: italic;
}

.article-line
{
    border-top: 1px solid #ccc;
    margin: 20px 0;
}

.article-date
{
    font-size: 14px;
    color: #555;
    margin: 10px 240px;
    text-align: right;
}

.article
{
    justify-content: center;
    text-align: center;
    flex: 1 0 auto;
    display: flex;
    flex-direction: column;
}

.article-share-button
{
    background: #DE3E26;
    color: #ffffff;
    padding: 8px 16px;
    font-weight: bold;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: transform 0.3s ease-in-out, background-color 0.3s ease-in-out;
}

@media (max-width: 768px) 
{
    .article-content, .article-author, .article-date 
    {
        margin: 0 20px;
    }

    .article-title 
    {
        font-size: 24px;
    }

    .article-share-button 
    {
        padding: 6px 12px;
        font-size: 14px;
    }


}